%def_with ruby

Summary: A browser with gecko engine
Name: kazehakase
Version: 0.5.6
Release: alt3
Url: http://kazehakase.sourceforge.jp
Source0: %name-%version.tar.gz
License: GPL
Group: Networking/WWW

Packager: L.A. Kostis <lakostis@altlinux.ru>
BuildRequires: libgtk+2-devel >= 2.4.0, libSM-devel libwebkit-devel
BuildRequires: xulrunner-devel
#seamonkey-devel
BuildRequires(pre): gcc-c++, perl-XML-Parser, libgnutls-devel, intltool
%if_with ruby
BuildRequires: ruby-gtk2-devel
%endif

Patch0: deb-fix_undefined_variables_in_makefiles.patch
Patch1: kazehakase-0.5.2-alt-as-needed.patch
# http://bugs.gentoo.org/show_bug.cgi?id=234416
Patch2: kazehakase-0.5.5-xulrunner19.patch
Patch3: kazehakase-0.5.6-alt-ruby.patch
Patch4: kazehakase-0.5.6-alt-gnutls.patch

%description
Kazehakase is a browser with gecko engine like Epiphany or Galeon.

%if_with ruby
%package ruby
Summary: ruby scripting support for Kazehakase
Group: Development/Ruby
Obsoletes: kazehakase = 0.5.5-alt1
Requires: ruby(gtk2)

%description ruby
Kazehakase is a browser with gecko engine like Epiphany or Galeon.
This package provides Ruby extension for Kazehakase.
%endif

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p2
%patch4 -p2

%build
%autoreconf
%configure
%make_build

%install
%__make DESTDIR=%buildroot install
%find_lang --with-man --output=%name.lang %name
bzip -f9 ChangeLog

%files -f %name.lang
%doc README AUTHORS ChangeLog* COPYING.README
%dir %_sysconfdir/kazehakase
%_sysconfdir/kazehakase/*
%_bindir/kazehakase
%dir %_libdir/kazehakase
%_libdir/kazehakase/*
%_datadir/applications/kazehakase.desktop
%_pixmapsdir/kazehakase-icon.png
%dir %_datadir/kazehakase
%_datadir/kazehakase/*
%if_with ruby
%exclude %_libdir/kazehakase/ext/ruby*
%exclude %_datadir/kazehakase/ext/ruby*

%files ruby
%_libdir/kazehakase/ext/ruby*
%dir %_datadir/kazehakase/ext/ruby
%_datadir/kazehakase/ext/ruby/*
%endif

%changelog
* Sat Jul 04 2009 Alexey I. Froloff <raorn@altlinux.org> 0.5.6-alt3
- Rebuilt with Ruby 1.9
- Fixed build with new gnutls

* Fri Apr 10 2009 Alexey Shabalin <shaba@altlinux.ru> 0.5.6-alt2
- rebuild with webkit-1.1.4
- remove obsoleted post/postun macros for menus
- build with xulrunner-devel instead of seamonkey-devel

* Mon Nov 17 2008 L.A. Kostis <lakostis@altlinux.ru> 0.5.6-alt1
- 0.5.6.
- add webkit renderer support.

* Thu Sep 11 2008 L.A. Kostis <lakostis@altlinux.ru> 0.5.5-alt2
- split -ruby to separate package.
- add missing ruby-gtk2 dependency (ALT #17077).

* Mon Sep 08 2008 L.A. Kostis <lakostis@altlinux.ru> 0.5.5-alt1
- 0.5.5.
- Added patches:
  + kazehakase-0.5.5-xulrunner19.patch - compile with new libxul (anyway, it's
    still broken).

* Mon Sep 08 2008 L.A. Kostis <lakostis@altlinux.ru> 0.5.2-alt1
- initial build for ALTLinux.
- Added patches:
  + deb-fix_undefined_variables_in_makefiles.patch - from Ubuntu hardy
  + kazehakase-0.5.2-alt-as-needed.patch - fix unresolved symbols in src/main.

* Tue Dec 12 2005 Daniil Ivanov <daniil.ivanov@gmail.com> 0.3.3-1
- Update Version.
* Sat Apr 02 2005 Yuhei Matsunaga <yuhei@users.sourceforge.jp> 0.2.6-1
- Update Version.
- Changed filelist.
- Deleted patch to fix nsIFilePickerAPI patch.
- Added patch to src/kz-mozlauncher.cpp patch.
- Added patch to src/kz-mozfilepicker.cpp patch.
- Added patch to src/Makefile.am patch.
* Wed Feb 09 2005 Yuhei Matsunaga <yuhei@users.sourceforge.jp> 0.2.5-1
- Update Version.
- Require mozilla version >= 1.7.
* Sat Jan 29 2005 Yuhei Matsunaga <yuhei@users.sourceforge.jp> 0.2.4-1
- Update Version.
* Thu Dec 30 2004 Yuhei Matsunaga <yuhei@users.sourceforge.jp> 0.2.3-1
- Update Version.
* Wed Dec 01 2004 Yuhei Matsunaga <yuhei@users.sourceforge.jp> 0.2.2-2
- Use patch only target destribution.
- Require mozilla version >= 1.6.
- Require gtk+ version >= 2.4.0.
* Tue Nov 30 2004 Yuhei Matsunaga <yuhei@users.sourceforge.jp> 0.2.2-1
- Updated version.
- Changed filelist.
- Added patch to fix nsIFilePickerAPI patch.
* Wed Nov 04 2004 Yuhei Matsunaga <yuhei@users.sourceforge.jp> 0.2.1-1
- Updated version.
- Changed filelist.
* Wed Sep 29 2004 Yuhei Matsunaga <yuhei@users.sourceforge.jp> 0.2.0-1
- Updated version.
* Mon Aug 30 2004 Yuhei Matsunaga <yuhei@users.sourceforge.jp> 0.1.9-1
- Updated version.
- Added gtk+-devel to BuildRequires.
- Changed filelist.
* Mon Aug 09 2004 Yuhei Matsunaga <yuhei@users.sourceforge.jp> 0.1.8.1-2
- The version of mozilla when building rpm was used.
- Added patch to build with mozilla 1.7.2.
* Fri Jul 30 2004 Yuhei Matsunaga <yuhei@users.sourceforge.jp> 0.1.8.1-1
- Updated version.
* Fri Jul 30 2004 Yuhei Matsunaga <yuhei@users.sourceforge.jp> 0.1.8-1
- Updated version.
- Changed filelist.
* Wed Jun 30 2004 Yuhei Matsunaga <yuhei@users.sourceforge.jp> 0.1.7-2
- Added middleclick patch.
* Tue Jun 29 2004 Yuhei Matsunaga <yuhei@users.sourceforge.jp> 0.1.7-1
- Updated version.
- Changed filelist.
* Sat May 29 2004 Yuhei Matsunaga <yuhei@users.sourceforge.jp> 0.1.6-1
- Updated version.
* Sun May 02 2004 Yuhei Matsunaga <yuhei@users.sourceforge.jp> 0.1.5-1
- Updated version.
* Tue Mar 31 2004 Yuhei Matsunaga <yuhei@users.sourceforge.jp> 0.1.4-1
- Updated version.
- Changed icons file names in files section.
* Tue Mar 02 2004 Yuhei Matsunaga <yuhei@users.sourceforge.jp> 0.1.3-1
- Updated version.
* Thu Jan 29 2004 Yuhei Matsunaga <yuhei@users.sourceforge.jp> 0.1.2-1
- Updated version.
- Added kz-anchor.png
* Mon Dec 29 2003 Yuhei Matsunaga <yuhei@users.sourceforge.jp> 0.1.1-1
- Updated version.
- Changed Requires and BuildRequires to from 1.4.1.
- Changed Group to Applications/Internet.
* Sat Dec 06 2003 Yuhei Matsunaga <yuhei@users.sourceforge.jp> 0.1.0-1
- Initial build.
